package test.rewolucja.scheduling.plan;

import java.util.Map;

import schedframe.resources.units.ResourceUnit;
import schedframe.scheduling.plan.impl.Allocation;
import schedframe.scheduling.utils.ResourceParameterName;
import test.rewolucja.resources.ProcessingElements;
import test.rewolucja.resources.manager.utils.ResourceManagerUtils;

public class AllocationNew extends Allocation implements AllocationInterfaceNew {

	protected Map<ResourceParameterName, ResourceUnit> requestedResources;
	protected boolean isProcessing = false;
	protected String providerName;

	@Override
	public void setSpecificResources(
			Map<ResourceParameterName, ResourceUnit> choosenResources) {
		requestedResources = choosenResources;
		ResourceManagerUtils.setPendingResources(choosenResources);
		ProcessingElements processingElements = (ProcessingElements)requestedResources.get(ResourceParameterName.PROCESSINGELEMENTS);
		if(processingElements != null){
			isProcessing = true;
		}	
	}

	@Override
	public Map<ResourceParameterName, ResourceUnit> getRequestedResources() {
		return this.requestedResources;
	}

	public boolean isProcessing(){
		return isProcessing;
	}

	@Override
	public void setProviderName(String providerName) {
		this.providerName = providerName;	
	}

	@Override
	public String getProviderName() {
		return providerName;
	}
}
